package com.dbxml.db.client.tools.command;

/*
 * dbXML - Native XML Database
 * Copyright (C) 1999-2004  The dbXML Group, L.L.C.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * $Id: Version.java,v 1.6 2004/02/12 00:17:55 bradford Exp $
 */

import com.dbxml.util.dbXMLException;
import com.dbxml.db.client.dbXMLClient;
import com.dbxml.db.server.dbXML;

import java.io.PrintWriter;

/**
 * Version (VERSION) displays version information for the connected
 * Server and Client library.
 */

public final class Version extends CommandBase {
   public void process() throws dbXMLException {
      PrintWriter pw = cl.getWriter();

      pw.println("Client: "+dbXML.VersionString);

      try {
         dbXMLClient client = cl.getClient();
         pw.println("Server: "+client.getServerVersion());
      }
      catch ( dbXMLException e ) {
         pw.println("Server: "+e.getMessage());
      }
   }
}
